Bug 502690 - (dirac) Review Request: mingw32-dirac - MinGW Windows dirac compression library
Review Request: mingw32-dirac - MinGW Windows dirac compression library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 19:23 EDT by Nicolas Chauvet (kwizart)
Modified: 2010-11-08 17:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 17:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-05-26 19:23:33 EDT
Spec URL:
http://kwizart.fedorapeople.org/review/mingw32-dirac.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/mingw32-dirac-1.0.2-1.fc10.src.rpm
Description: MinGW Windows dirac compression library
Comment 1 Erik van Pienbroek 2009-07-05 08:20:05 EDT
This package doesn't compile on my Fedora 11 environment using rpmbuild:

libtool: link: i686-pc-mingw32-g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields -o .libs/RGBtoYUV411.exe RGBtoYUV411.o  common/libconv_common.a ../../libdirac_common/.libs/libdirac_common.a
libtool: link: i686-pc-mingw32-g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields -o .libs/RGBtoYUV420.exe RGBtoYUV420.o  common/libconv_common.a ../../libdirac_common/.libs/libdirac_common.a
common/libconv_common.a(setstdiomode.o):/home/erik/rpmbuild/BUILD/dirac-1.0.2/util/conversion/common/setstdiomode.cpp:62: undefined reference to `__imp___ZN8dirac_vu4_iobE'
common/libconv_common.a(setstdiomode.o):/home/erik/rpmbuild/BUILD/dirac-1.0.2/util/conversion/common/setstdiomode.cpp:54: undefined reference to `__imp___ZN8dirac_vu4_iobE'
collect2: ld returned 1 exit status
make[3]: *** [RGBtoYUV420.exe] Error 1
make[3]: *** Waiting for unfinished jobs....
common/libconv_common.a(setstdiomode.o):/home/erik/rpmbuild/BUILD/dirac-1.0.2/util/conversion/common/setstdiomode.cpp:62: undefined reference to `__imp___ZN8dirac_vu4_iobE'
common/libconv_common.a(setstdiomode.o):/home/erik/rpmbuild/BUILD/dirac-1.0.2/util/conversion/common/setstdiomode.cpp:54: undefined reference to `__imp___ZN8dirac_vu4_iobE'
collect2: ld returned 1 exit status
make[3]: *** [RGBtoYUV411.exe] Error 1
make[3]: Leaving directory `/home/erik/rpmbuild/BUILD/dirac-1.0.2/util/conversion'
Comment 2 Nicolas Chauvet (kwizart) 2009-07-09 07:05:39 EDT
It worked with F-10 mingw32 but not anymore with F-11 and later:
This problem is about binary mode with win32 executable, but I'm only interested in the libraries which built cannot be splitted easily from the executable.

Spec URL:
http://kwizart.fedorapeople.org/SPECS/mingw32-dirac.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/mingw32-dirac-1.0.2-2.fc11.src.rpm
Description: MinGW Windows dirac compression library
Comment 3 Jason Tibbitts 2010-11-05 13:54:43 EDT
I'm trying to take care of the oldest of the review tickets; I had to learn about mingw32 before I could look at this.

Outside of the spec having several bits which are unnecessary with modern Fedora (BuildRoot:, cleaning of buildroot in %install, the entire %clean section) which you can remove if you like, this package looks fine.

* source files match upstream.  sha256sum:
  816b16f18d235ff8ccd40d95fc5b4fad61ae47583e86607932929d70bf1f00fd
   dirac-1.0.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* version packaged is the same as the native Fedora version.
* package is noarch.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* special mingw32 dependency generators are used.
* final provides and requires are sane:
   mingw32(libdirac_decoder-0.dll)  
   mingw32(libdirac_encoder-0.dll)  
   mingw32-dirac = 1.0.2-2.fc15
  =
   mingw32-filesystem >= 62
   mingw32-runtime  
   mingw32(kernel32.dll)  
   mingw32(libdirac_decoder-0.dll)  
   mingw32(libdirac_encoder-0.dll)  
   mingw32(libgcc_s_sjlj-1.dll)  
   mingw32(libstdc++-6.dll)  
   mingw32(msvcrt.dll)  

*  owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no static libraries.
* .dll and .def files in _mingw32_bindir
* .dll.a and .la files in _mingw32_libdir
* dll files are listed explicitly in %files.
* libraries and executables are stripped properly.

APPROVED
Comment 4 Nicolas Chauvet (kwizart) 2010-11-06 05:47:06 EDT
New Package SCM Request
=======================
Package Name: mingw32-dirac
Short Description: MinGW Windows dirac compression library
Owners: kwizart
Branches: el5 el6 f13 f14
InitialCC: fedora-mingw@lists.fedoraproject.org


Thx for the review.
Comment 5 Jason Tibbitts 2010-11-06 08:59:25 EDT
InitialCC cannot be an email address; it must be a user or a defined group.  I do not believe there's a group defined for mingw.  Also, that isn't even the address of the mingw list (which is mingw@lists.fedoraproject.org).
Comment 6 Nicolas Chauvet (kwizart) 2010-11-07 05:29:13 EST
New Package SCM Request
=======================
Package Name: mingw32-dirac
Short Description: MinGW Windows dirac compression library
Owners: kwizart
Branches: el5 el6 f13 f14
InitialCC:
Comment 7 Jason Tibbitts 2010-11-07 10:41:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.